/*
 *
 * Project: Crypto, File: AESEncryptionTest.java
 *
 * Copyright 2019 Locusworks LLC.
 * All rights reserved. Federal copyright law prohibits unauthorized reproduction by
 * any means and imposes fines up to $25,000 for violation.  No part of this material
 * may be reproduced, transmitted, transcribed, stored in a retrieval system, copied,
 * modified, duplicated, adapted or translated into another program language in any
 * form or by any means, electronic, mechanical, photocopying, recording, or
 * otherwise, without the prior written permission from Locusworks. Locusworks
 * affirms that Crypto(R) software and data is subject to United States
 * Government Purpose Rights.  Contact Locusworks, 1313 Lawnview Drive
 * Forney TX 75126, (802) 488-0438, for commercial licensing opportunities.
 *
 * IN NO EVENT SHALL LOCUSWORKS BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL,
 * INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING LOST PROFITS, ARISING OUT
 * OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF LOCUSWORKS HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  NO RESPONSIBILITY IS ASSUMED BY
 * LOCUSWORKS FOR ITS USE, OR FOR ANY INFRINGEMENTS OF PATENTS OR OTHER RIGHTS OF
 * THIRD PARTIES RESULTING FROM ITS USE.  LOCUSWORKS SPECIFICALLY DISCLAIMS ANY
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE AND
 * ACCOMPANYING DOCUMENTATION, IF ANY, PROVIDED HEREUNDER IS PROVIDED "AS
 * IS". LOCUSWORKS HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
 * ENHANCEMENTS, OR MODIFICATIONS.
 */
package net.locusworks.crypto.tests;

import org.apache.commons.lang3.StringUtils;
import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

import net.locusworks.crypto.AES;

public class AESEncryptionTest {

  @Test
  public void testEncryption() {
    try {
      String encrypted = AES.createInstance().encrypt("hello world");
      assertTrue(StringUtils.isNotBlank(encrypted), String.format("Encrypted String is not blank? :%s",  encrypted));
    } catch (Exception ex) {
      ex.printStackTrace(System.err);
      fail();
    }
  }

  @Test
  public void testDecryption() {
    String testString ="hello world";
    try {
      AES aes = AES.createInstance();
      String encrypted = aes.encrypt(testString);
      assertTrue(StringUtils.isNotBlank(encrypted), String.format("Encrypted String is not blank? :%s",  encrypted));

      String decrypted = aes.decrypt(encrypted);
      assertTrue(StringUtils.isNotBlank(encrypted), String.format("Decrypted String is not blank? :%s",  decrypted));

      boolean same = testString.equals(decrypted);

      assertTrue(same, String.format("Test String and Original String the same? :%s", same));

    } catch (Exception ex) {
      ex.printStackTrace(System.err);
      fail();
    }
  }

}
